> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Item Image

> Upload a public image for any existing, non-archived inventory item subtype.



## OpenAPI

````yaml put /inventory/items/{item_id}/image
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/items/{item_id}/image:
    put:
      tags:
        - Items
      summary: Upload Item Image
      description: >-
        Upload a public image for any existing, non-archived inventory item
        subtype.
      operationId: upload_item_image_inventory_items__item_id__image_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: item_id
          in: path
          required: true
          schema:
            type: string
            title: Item Id
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_item_image_inventory_items__item_id__image_put
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemImageResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_upload_item_image_inventory_items__item_id__image_put:
      properties:
        image_file:
          type: string
          contentMediaType: application/octet-stream
          title: Image File
      type: object
      required:
        - image_file
      title: Body_upload_item_image_inventory_items__item_id__image_put
    ItemImageResponse:
      properties:
        itemId:
          type: string
          title: Itemid
          description: ID of the item whose image changed
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
          description: Stored item image GCS path or URL
        imageUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Imageurl
          description: Browser-safe public URL for the item image
      type: object
      required:
        - itemId
      title: ItemImageResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````